/*
September 6, 2018 Updated Script
TalkingText.ahk consists of a series of one-line Hotstrings which play animal sounds, a series of Hotkeys
which voice the name of the alphabetic letters, plus one function which plays the animal sounds after
activation of one of the Hotstrings (AutoHotkey version 1.1.28 or greater required for the Hotstrings).

The computer says each letter name when pressed a produces an animal sound when one of the spelled
Hotstrings fires. The script requires the folders Sounds and audio-alphabet with the contained files
in the working directory. Find these folders and files at:
http://www.computoredge.com/AutoHotkey/Free_AutoHotkey_Scripts_and_Apps_for_Learning_and_Generating_Ideas.html#TalkingText
*/
:xb0z*:horse::AnimalSounds("horse")
:xb0z*:cow::AnimalSounds("cow")
:xb0z*:train::AnimalSounds("train")
:xb0z*:bird::AnimalSounds("nature2")
:xb0z*:hand::AnimalSounds("applause")
:xb0z*:bear::AnimalSounds("bear_growl_y")
:xb0z*:cat::AnimalSounds("cat_meow_x")
:xb0z*:dog::AnimalSounds("dog_bark_x")
:xb0z*:owl::AnimalSounds("owl")
:xb0z*:pig::AnimalSounds("pig")
:xb0z*:lamb::AnimalSounds("sheep521")

AnimalSounds(animal)
{
  Sleep 1000
  SoundPlay, Sounds/%animal%.wav
}

~a::SoundPlay, audio-alphabet\a.wav
~b::SoundPlay, audio-alphabet\b.wav
~c::SoundPlay, audio-alphabet\c.wav
~d::SoundPlay, audio-alphabet\d.wav
~e::SoundPlay, audio-alphabet\e.wav
~f::SoundPlay, audio-alphabet\f.wav
~g::SoundPlay, audio-alphabet\g.wav
~h::SoundPlay, audio-alphabet\h.wav
~i::SoundPlay, audio-alphabet\i.wav
~j::SoundPlay, audio-alphabet\j.wav
~k::SoundPlay, audio-alphabet\k.wav
~l::SoundPlay, audio-alphabet\l.wav
~m::SoundPlay, audio-alphabet\m.wav
~n::SoundPlay, audio-alphabet\n.wav
~o::SoundPlay, audio-alphabet\o.wav
~p::SoundPlay, audio-alphabet\p.wav
~q::SoundPlay, audio-alphabet\q.wav
~r::SoundPlay, audio-alphabet\r.wav
~s::SoundPlay, audio-alphabet\s.wav
~t::SoundPlay, audio-alphabet\t.wav
~u::SoundPlay, audio-alphabet\u.wav
~v::SoundPlay, audio-alphabet\v.wav
~w::SoundPlay, audio-alphabet\w.wav
~x::SoundPlay, audio-alphabet\x.wav
~y::SoundPlay, audio-alphabet\y.wav
~z::SoundPlay, audio-alphabet\z.wav


